Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Cannot install magento CE … Installation Wizard crashes…
 
Trimension
Jr. Member
 
Total Posts:  4
Joined:  2013-07-19
Germany
 

Hi there…

I want to install Magento to evaluate on my local PC running under Windows 8 (x64) with the following Configuration:

- Apache 2.2 (as Virtual Host)
- PHP 5.3.10 loaded as an Module
- Mysql 5.1.68

There are other Virtual Hosts running on this Apache… using PHP (Mediawiki), without problems

1. Running the TestFile says that my Environment is meeting the Requirements !!!
2. Database created and User assigned
3. Downloaded Full Version 1.7.0.2 of Magento CE unpacked in an local Directory
4. Try to call it via Browser (Firefox).

<b>I get a Page loading Error. The Server disconnets while loading !!!</b>

There are no Error Messages in the Server-Logs !!!

I can call any other PHP-File in this installation (webroot) directory (like a simple phpinfo.php) without problems, what says to me that the Server configuration and the PHP-configuration is correct. When I put an echo to the end of the original index.php and coment out the line which calls the Mage::run… then I can see my output. This shows that there must be a problem in the Software.

I tried the whole day to install Magento and I’m rather frustrated in the meantime ! First impression is not very positive !!!

- I tried to configure CGI on my Apache but this does not run together with the Module loaded (needed by the Wiki)…
- I tried to downgrade PHP without success, because 32 bit-PHP does not run on my 64 Bit Machine and 64 Bit Apache…
and there are no 64-Bit PHP Versions of older PHP Distributions…
- I tried to install from the download.php which jumps in the middle back to the start, saying, that it was just downloaded…
- I read millions of Websites and Installation Docs without any solutions…

I’m about to capitulate if I cannot find solution here…

Thanx for your help

 
Magento Community Magento Community
Magento Community
Magento Community
 
JLHC
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 

You may want to consider just singing up for a cheap hosting account which is compatible with Magento and have it installed easily.

Most hosting providers do offer a money back guarantee if you cancel within a certain period of time.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Trimension
Jr. Member
 
Total Posts:  4
Joined:  2013-07-19
Germany
 

before I decide to use magento, I prefer to evaluate it !!!!!
---------------------------------------------------------------------------

I have installed locally a STANDARD Environment with Apache (upgraded to 2.4), PHP (updated to 5.4.3) and MySQL (5.1.68). There is nothing magic and other Systems like MediaWiki and Bugzilla do not have Problems with this Environment.

I prefer to use a local Environment both, for Developing and productive Use!

To see that there are so many problems to install magento and so many Incompatibilities, it is for me a rather poor Quality and unstable Software!

In the Meantime I could finish the Installation Process, but it does not run under Apache 2.4 (I cannot change it because of my Subversion Server which is based on that version ! - AND I do not WANT to downgrade !!!” After modifying all “.htaccess” Files I can call the site and (almost) complete the Installation procedure.

After initial Setup, the site runs into an endless Redirection Loop ?! ??! ???! ????! ?????!

What ever I do (or try) the site runs into this loop and I get an apropriate Error from the Server !

My patience is not endless !!!

 
Magento Community Magento Community
Magento Community
Magento Community
 
Trimension
Jr. Member
 
Total Posts:  4
Joined:  2013-07-19
Germany
 

Hi there…

Finally (!) I’Ve got it work grin))))

There were still some permission problems of the DB-User. Now the following constellation is working for me (and hopefully for other too):

- OS: Windows 8 pro (x64)
- Apache 2.4 (needs to fix all .htaccess Files) (x64) (from Collabnet Edge 4.0)
- PHP 5.4.3 (x64)
- MySQL 5.1.68 (x64)
- Magento 1.7.0.2 (Full release)

 
Magento Community Magento Community
Magento Community
Magento Community
 
JLHC
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 

You may want to consider downgrading to PHP 5.3.x as Magento is not fully compatible with PHP 5.4.x yet.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Trimension
Jr. Member
 
Total Posts:  4
Joined:  2013-07-19
Germany
 

Well…

If this is the case it is the K.O. criterion !

I shortly upgraded the complete chain:

Collabnet Subversion EDGE (v4.0), contains the Apache Server (v2.4). PHP 5.3 does not support Apache 2.4. There is no (x64) Module for the Apache 2.4 available.

Follows to downgrade PHP I need to downgrade the whole chain too !!!
I will not do that !

Seems that I have to serch another product, then :-((
Its very difficult to understand, that Magento needs such old Environments to work.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top